/*
    Copyright 2004,2005,2006 Luigi Auriemma

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

    http://www.gnu.org/licenses/gpl.txt

*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <windows.h>



#define VER         "0.1"
#define BUFFSZ      32



void man_dec(unsigned char *pwd);



int main(int argc, char *argv[]) {
    FILE            *fd;
    unsigned char   buff[BUFFSZ + 1];


    setbuf(stdout, NULL);

    fputs("\n"
        "Massive Assault Network password decoder "VER"\n"
        "by Luigi Auriemma\n"
        "e-mail: aluigi@autistici.org\n"
        "web:    aluigi.org\n"
        "\n", stdout);

    if(argc < 2) {
        printf("\nUsage: %s <profile2.bin>\n"
            "\n", argv[0]);
        fputs("\n  Press RETURN to exit\n", stdout);
        fgetc(stdin);
        exit(1);
    }

    fd = fopen(argv[1], "rb");
    if(!fd) {
        perror("\nError");
        fputs("\n  Press RETURN to exit\n", stdout);
        fgetc(stdin);
        exit(1);
    }

    fread(buff, 32, 1, fd);
    printf("User name:   %s\n", buff);

    fread(buff, 32, 1, fd);
    printf("Nickname:    %s\n", buff);

    fread(buff, 15, 1, fd);
    man_dec(buff);
    printf("Password:    %s\n", buff);

    fread(buff, 32, 1, fd);
    printf("Country:     %s\n", buff);

    fread(buff, 32, 1, fd);
    printf("E-mail:      %s\n", buff);

    fclose(fd);
    fputs("\n  Press RETURN to exit\n", stdout);
    fgetc(stdin);
    return(0);
}



void man_dec(unsigned char *pwd) {
    unsigned char   encdata[] = "Massive Assault";
    int             i;

    for(i = 0; i < 15; i++) {
        pwd[i] ^= encdata[i];
    }
}


